scala.collection.jcl
trait SortedMapWrapper

[source: `scala/collection/jcl/SortedMapWrapper.scala`]

`` `trait` SortedMapWrapper[K, E]
  `extends` SortedMap[K, E]`with` MapWrapper[K, E]

  A sorted map that wraps an underlying Java sorted map.

Author
  Sean McDirmid

Direct Known Subclasses:
  SortedMapWrapper.Range, TreeMap

Method Summary
`protected override def` | Range (from : Option[K], until : Option[K]) : Range
`def` | compare (k0 : K, k1 : K) : Int the comparator function of this sorted map is defined in terms of the underlying sorted map's comparator.
`override def` | first : K Returns the first key of the collection.
`override def` | keySet : SortedSet[K] return as a projection the set of keys in this collection
`override def` | last : K Returns the last key of the collection.
`protected override abstract def` | underlying : SortedMap

Methods inherited from MapWrapper
size, isEmpty, clear, put, get, putAll, remove, contains, valueSet, elements, toString, hashCode, equals

Methods inherited from SortedMap
rangeImpl, projection, lense

Methods inherited from Sorted
to

Methods inherited from Ranged
from, until, range

Methods inherited from Map
keys, has, update, +, +=, -, -=

Methods inherited from Map
+=, ++=, ++=, +, ++, ++, -=, --=, --=, -, --, --, getOrElseUpdate, transform, retain, <<, clone, +=, incl, excl

Methods inherited from MutableIterable
remove, removeAll, --, -, retain, retainAll, size0

Methods inherited from Sorted
hasAll

Methods inherited from Map
getOrElse, apply, isDefinedAt, values, default

Methods inherited from Collection
toArray, stringPrefix

Methods inherited from Iterable
concat, ++, map, flatMap, filter, takeWhile, dropWhile, take, drop, foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
compose

Methods inherited from AnyRef
getClass, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected class` | KeySet `extends` KeySet `with` SetWrapper[K]
`protected class` | Range (from : Option[K], until : Option[K])`extends` Range `with` SortedMapWrapper[K, E]

Method Details

`protected override abstract` `def` underlying : SortedMap

Overrides
  MapWrapper.underlying

`` `def` compare(k0 : K, k1 : K) : Int

  the comparator function of this sorted map is defined in terms of the underlying sorted map's comparator.

Overrides
  SortedMap.compare

`override` `def` first : K

  Returns the first key of the collection.

Overrides
  SortedMap.first

`override` `def` last : K

  Returns the last key of the collection.

Overrides
  SortedMap.last

`override` `def` keySet : SortedSet[K]

  return as a projection the set of keys in this collection

Overrides
  SortedMap.keySet, MapWrapper.keySet

`protected override` `def` Range(from : Option[K], until : Option[K]) : Range

Overrides
  SortedMap.Range